Package org.multiverse.stms.gamma

## Class FatGammaTxnExecutor

- java.lang.Object
- - org.multiverse.stms.gamma.AbstractGammaTxnExecutor
  - - org.multiverse.stms.gamma.FatGammaTxnExecutor

- All Implemented Interfaces:
    `TxnExecutor`, `MultiverseConstants`, `GammaTxnExecutor`

      public final class FatGammaTxnExecutor
      extends AbstractGammaTxnExecutor

  The `TxnExecutor` made for the GammaStm. This code is generated.

- - ### Field Summary

    - ### Fields inherited from class org.multiverse.stms.gamma.AbstractGammaTxnExecutor

      `backoffPolicy, txnConfig, txnFactory`

    - ### Fields inherited from interface org.multiverse.MultiverseConstants

      `LOCKMODE_EXCLUSIVE, LOCKMODE_NONE, LOCKMODE_READ, LOCKMODE_WRITE, SHAKE_BUGS, SPIN_YIELD, TRACING_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FatGammaTxnExecutor​(GammaTxnFactory txnFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(Runnable runnable)` |
    `<E> E` | `execute​(Callable<E> callable)` |
    `boolean` | `execute​(TxnBooleanCallable callable)` | Executes the transactional callable.
    `<E> E` | `execute​(TxnCallable<E> callable)` | Executes the transactional callable.
    `double` | `execute​(TxnDoubleCallable callable)` | Executes the transactional callable.
    `int` | `execute​(TxnIntCallable callable)` | Executes the transactional callable.
    `long` | `execute​(TxnLongCallable callable)` | Executes the transactional callable.
    `void` | `execute​(TxnVoidCallable callable)` | Executes the transactional callable.
    `<E> E` | `executeChecked​(Callable<E> callable)` |
    `boolean` | `executeChecked​(TxnBooleanCallable callable)` | Executes the callable.
    `<E> E` | `executeChecked​(TxnCallable<E> callable)` | Executes the callable.
    `double` | `executeChecked​(TxnDoubleCallable callable)` | Executes the callable.
    `int` | `executeChecked​(TxnIntCallable callable)` | Executes the callable.
    `long` | `executeChecked​(TxnLongCallable callable)` | Executes the callable.
    `void` | `executeChecked​(TxnVoidCallable callable)` | Executes the callable.
    `GammaTxnFactory` | `getTxnFactory()` | Returns the `TxnFactory` that is used by this TxnExecutor to create transactions used to execute transactional closures.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FatGammaTxnExecutor

          public FatGammaTxnExecutor​(GammaTxnFactory txnFactory)

  - ### Method Detail

    - #### execute

          public void execute​(Runnable runnable)

    - #### execute

          public <E> E execute​(Callable<E> callable)

    - #### executeChecked

          public <E> E executeChecked​(Callable<E> callable)
                               throws Exception

      Throws:
        `Exception`

    - #### getTxnFactory

          public GammaTxnFactory getTxnFactory()

      Description copied from interface: `TxnExecutor`
      Returns the `TxnFactory` that is used by this TxnExecutor to create transactions used to execute transactional closures.
      Returns:
        the TxnFactory used by this TxnExecutor.

    - #### executeChecked

          public final <E> E executeChecked​(TxnCallable<E> callable)
                                     throws Exception

      Description copied from interface: `TxnExecutor`
      Executes the callable.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.
      Throws:
        `NullPointerException` - if callable is null.
        `Exception` - if the execute call fails.

    - #### execute

          public <E> E execute​(TxnCallable<E> callable)

      Description copied from interface: `TxnExecutor`
      Executes the transactional callable. If in the execution of the callable a checked exception is thrown, the exception is wrapped in a InvisibleCheckedException. The original exception can be retrieved by calling the getCause method.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.

    - #### executeChecked

          public final int executeChecked​(TxnIntCallable callable)
                                   throws Exception

      Description copied from interface: `TxnExecutor`
      Executes the callable.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.
      Throws:
        `NullPointerException` - if callable is null.
        `Exception` - if the execute call fails.

    - #### execute

          public int execute​(TxnIntCallable callable)

      Description copied from interface: `TxnExecutor`
      Executes the transactional callable. If in the execution of the callable a checked exception is thrown, the exception is wrapped in a InvisibleCheckedException. The original exception can be retrieved by calling the getCause method.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.

    - #### executeChecked

          public final long executeChecked​(TxnLongCallable callable)
                                    throws Exception

      Description copied from interface: `TxnExecutor`
      Executes the callable.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.
      Throws:
        `NullPointerException` - if callable is null.
        `Exception` - if the execute call fails.

    - #### execute

          public long execute​(TxnLongCallable callable)

      Description copied from interface: `TxnExecutor`
      Executes the transactional callable. If in the execution of the callable a checked exception is thrown, the exception is wrapped in a InvisibleCheckedException. The original exception can be retrieved by calling the getCause method.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.

    - #### executeChecked

          public final double executeChecked​(TxnDoubleCallable callable)
                                      throws Exception

      Description copied from interface: `TxnExecutor`
      Executes the callable.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.
      Throws:
        `NullPointerException` - if callable is null.
        `Exception` - if the execute call fails.

    - #### execute

          public double execute​(TxnDoubleCallable callable)

      Description copied from interface: `TxnExecutor`
      Executes the transactional callable. If in the execution of the callable a checked exception is thrown, the exception is wrapped in a InvisibleCheckedException. The original exception can be retrieved by calling the getCause method.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.

    - #### executeChecked

          public final boolean executeChecked​(TxnBooleanCallable callable)
                                       throws Exception

      Description copied from interface: `TxnExecutor`
      Executes the callable.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.
      Throws:
        `NullPointerException` - if callable is null.
        `Exception` - if the execute call fails.

    - #### execute

          public boolean execute​(TxnBooleanCallable callable)

      Description copied from interface: `TxnExecutor`
      Executes the transactional callable. If in the execution of the callable a checked exception is thrown, the exception is wrapped in a InvisibleCheckedException. The original exception can be retrieved by calling the getCause method.
      Parameters:
        `callable` - the callable to execute.
      Returns:
        the result of the execution.

    - #### executeChecked

          public final void executeChecked​(TxnVoidCallable callable)
                                    throws Exception

      Description copied from interface: `TxnExecutor`
      Executes the callable.
      Parameters:
        `callable` - the callable to execute.
      Throws:
        `NullPointerException` - if callable is null.
        `Exception` - if the execute call fails.

    - #### execute

          public void execute​(TxnVoidCallable callable)

      Description copied from interface: `TxnExecutor`
      Executes the transactional callable. If in the execution of the callable a checked exception is thrown, the exception is wrapped in a InvisibleCheckedException. The original exception can be retrieved by calling the getCause method.
      Parameters:
        `callable` - the callable to execute.